com.orsoncharts.interaction.fx

## Class FXChart3DMouseEvent

- java.lang.Object
- - java.util.EventObject
  - - javafx.event.Event
    - - com.orsoncharts.interaction.fx.FXChart3DMouseEvent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class FXChart3DMouseEvent
      extends javafx.event.Event

  A chart mouse event for the `Chart3DViewer` component.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javafx.event.EventType` | `MOUSE_CLICKED` Mouse clicked event type.
    `static javafx.event.EventType` | `MOUSE_MOVED` Mouse moved event type.

    - ### Fields inherited from class javafx.event.Event

      `ANY, consumed, eventType, NULL_SOURCE_TARGET, target`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FXChart3DMouseEvent(java.lang.Object source, javafx.event.EventType<? extends javafx.event.Event> eventType, RenderedElement element, javafx.scene.input.MouseEvent trigger)` Creates a new event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RenderedElement` | `getElement()` Returns the chart element under the mouse pointer.
    `javafx.scene.input.MouseEvent` | `getTrigger()` Returns the mouse event that triggered this event.

    - ### Methods inherited from class javafx.event.Event

      `clone, consume, copyFor, fireEvent, getEventType, getTarget, isConsumed`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MOUSE_CLICKED

          public static final javafx.event.EventType MOUSE_CLICKED

      Mouse clicked event type.

    - #### MOUSE_MOVED

          public static final javafx.event.EventType MOUSE_MOVED

      Mouse moved event type.

  - ### Constructor Detail

    - #### FXChart3DMouseEvent

          public FXChart3DMouseEvent(java.lang.Object source,
                                     javafx.event.EventType<? extends javafx.event.Event> eventType,
                                     RenderedElement element,
                                     javafx.scene.input.MouseEvent trigger)

      Creates a new event.
      Parameters:
        `source` - the event source.
        `eventType` - the event type.
        `element` - the chart element under the mouse pointer.
        `trigger` - the mouse event that triggered this event.

  - ### Method Detail

    - #### getElement

          public RenderedElement getElement()

      Returns the chart element under the mouse pointer.
      Returns:
        The chart element.

    - #### getTrigger

          public javafx.scene.input.MouseEvent getTrigger()

      Returns the mouse event that triggered this event.
      Returns:
        The mouse event.